/***************************************************
* システム名      電子入札コアシステム
* サブシステム名  共通部品
* appletCall.js
* アプレット関数を格納
* @author  NEC
* @version 2002.02.16，新規作成
***************************************************/

function executeCmd(cmd) {
  top.setCommand(cmd);
}

function loadError() {
  alert("処理ライブラリがロード中です。しばらくお待ちください。");
}

var _storedCommand = '';

function begin() {
  _storedCommand = '';
  execute('begin');
}

function execute(cmd) {
  if (_storedCommand != '') {
    _storedCommand = _storedCommand + ';'
  }
  _storedCommand = _storedCommand + cmd;
}

function commit() {
  execute('commit');
  executeCmd(_storedCommand);
}

